Subject: Re: problems with "more" (or less) in XTerm
From: [email-masked] (Charles G Waldman)

28 Aug 1998 00:11:47 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Jeff Sturm <[email-masked]>
Cc: [email-masked]

Jeff Sturm writes:
 > Not sure what problem you're having... I'm running the latest snapshot
 > of cygwin32 myself with a few patches, and xterm definitely works OK.
 > 
 > You didn't say if you tried it with CYGWIN32=tty or not...

Clearly I've got something wacky here.

With CYGWIN32 unset, I get

bash-2.01$ xterm -e /bin/sh
Warning: locale not supported by C library, locale unchanged
Warning: locale not supported by Xlib, locale set to C
Warning: X locale modifiers not supported, using default
Failed to open input method

But the xterm starts up and is usable except for the problem with
"more"/"less" that I described.

With CYGWIN32=tty I get:

bash-2.01$ xterm -e /bin/sh
Warning: locale not supported by C library, locale unchanged
Warning: locale not supported by Xlib, locale set to C
Warning: X locale modifiers not supported, using default
xterm: Error 14, errno 2: No such file or directory

And the xterm doesn't come up at all.

What am I missing?

Also, I've read that I should set CYGWIN32=binmode.  What's the syntax 
for multiple flags in CYGWIN32?  Something line CYGWIN32=binmode,tty ?
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".